## ros-iron-rosidl-runtime-py 0.12.0

=== debian/changelog ===
ros-iron-rosidl-runtime-py (0.12.0-2jammy) jammy; urgency=high

  * Replace the use __slots__ for the appropiate API (#23 <https://github.com/ros2/rosidl_runtime_py/issues/23>)
  * fix(typing): get_interface_packages returns a dict (#22 <https://github.com/ros2/rosidl_runtime_py/issues/22>)
  * Contributors: Eloy Briceno, 兰陈昕

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.11.1-2jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#21 <https://github.com/ros2/rosidl_runtime_py/issues/21>)
  * Contributors: Audrow Nash

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.11.0-2jammy) jammy; urgency=high

  * Expand timestamps for std_msgs.msg.Header and builtin_interfaces.msg.Time if 'auto' and 'now' are passed as values (#19 <https://github.com/ros2/rosidl_runtime_py/issues/19>)
  * Document a missing parameter in message_to_yaml. (#18 <https://github.com/ros2/rosidl_runtime_py/issues/18>)
  * Mirror rolling to master
  * Contributors: Audrow Nash, Chris Lalancette, Esteve Fernandez

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.10.0-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.9.2-2jammy) jammy; urgency=high

  * add yaml dump flow style. (#16 <https://github.com/ros2/rosidl_runtime_py/issues/16>)
  * Update maintainers (#15 <https://github.com/ros2/rosidl_runtime_py/issues/15>)
    * Update maintainers to Shane Loretz
    * Update Shane's email
    Co-authored-by: Shane Loretz <mailto:sloretz@openrobotics.org>
  * Contributors: Audrow Nash, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.9.1-2jammy) jammy; urgency=high

  * Add pytest.ini so local tests don't display warning (#12 <https://github.com/ros2/rosidl_runtime_py/issues/12>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.9.0-2jammy) jammy; urgency=high

  * Improve exception message if value doesn't match expected type (#11 <https://github.com/ros2/rosidl_runtime_py/issues/11>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Add special case for importing action feedback message (#9 <https://github.com/ros2/rosidl_runtime_py/issues/9>)
  * Limit the interface path to prevent security issues (#7 <https://github.com/ros2/rosidl_runtime_py/issues/7>)
  * Fix type annotations (#8 <https://github.com/ros2/rosidl_runtime_py/issues/8>)
  * Contributors: ChenYing Kuo, Dirk Thomas, Jacob Perron

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 28 Apr 2020 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.8.2-2jammy) jammy; urgency=high

  * Add .gitignore (#5 <https://github.com/ros2/rosidl_runtime_py/issues/5>)
  * Do not remove interface namespaces (#6 <https://github.com/ros2/rosidl_runtime_py/issues/6>)
  * Contributors: Gaël Écorchard, Jacob Perron

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 07 Nov 2019 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.8.1-2jammy) jammy; urgency=high

  * Fix get_interfaces() implementation. (#4 <https://github.com/ros2/rosidl_runtime_py/issues/4>)
  * Add functions for getting interface names and paths (#3 <https://github.com/ros2/rosidl_runtime_py/issues/3>)
  * Contributors: Jacob Perron, Michel Hidalgo

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.8.0-2jammy) jammy; urgency=high

  * install resource marker file for package (#2 <https://github.com/ros2/rosidl_runtime_py/issues/2>)
  * Update setup.py URLs
  * Add contributing and license files
  * install package manifest (ros2/rosidl_python#86 <https://github.com/ros2/rosidl_python/issues/86>)
  * Rename TestConfig class to Config to avoid pytest warning (ros2/rosidl_python#82 <https://github.com/ros2/rosidl_python/issues/82>)
  * fix set_message_fields for numpy array (ros2/rosidl_python#81 <https://github.com/ros2/rosidl_python/issues/81>)
  * Fix type name queries for string types. (ros2/rosidl_python#77 <https://github.com/ros2/rosidl_python/issues/77>)
  * Require keyword arguments be passed by name (ros2/rosidl_python#80 <https://github.com/ros2/rosidl_python/issues/80>)
  * Add utility functions to get interface from identifier
  * Make import_message_from_namespaced_type operate on NamespacedType (ros2/rosidl_python#74 <https://github.com/ros2/rosidl_python/issues/74>)
  * handle set_message_fields given some non-basic type (ros2/rosidl_python#68 <https://github.com/ros2/rosidl_python/issues/68>)
  * Add no_arr and no_str parameters (ros2/rosidl_python#38 <https://github.com/ros2/rosidl_python/issues/38>)
  * Contributors: Dirk Thomas, Jacob Perron, Jeremie Deray, Michel Hidalgo, Mikael Arguedas, Vinnam Kim, ivanpauno

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.7.6-2jammy) jammy; urgency=high

  * fix logic around populating arrays (ros2/rosidl_python#62 <https://github.com/ros2/rosidl_python/issues/62>)
  * Fix the setting of array variables. (ros2/rosidl_python#59 <https://github.com/ros2/rosidl_python/issues/59>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 29 May 2019 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.7.5-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.7.4-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-iron-rosidl-runtime-py (0.7.3-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 08 May 2019 09:57:00 -0000


